This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316716 - NVIDIA Optimus not working in F23, worked in F22
NVIDIA Optimus not working in F23, worked in F22
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 16:36 EST by Jason H.
Modified: 2016-12-20 14:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:23:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xrandr Patch (1.92 KB, patch)
2016-03-10 16:36 EST, Jason H.
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92313 None None None 2016-03-10 16:36 EST

  None (edit)
Description Jason H. 2016-03-10 16:36:34 EST
Created attachment 1135049 [details]
Xrandr Patch

Description of problem: With the NVIDIA proprietary driver installed on Fedora 23, with Xorg-X11-Server-Xorg-1.18.0-2 installed does not display certain menus, and firefox only starts in a small window.

This is a regression from Xorg-server 1.17 to 1.18, with the xrandr package.

This bug has been submitted by others upstream to FreeDesktop, but is not yet released. See https://bugs.freedesktop.org/show_bug.cgi?id=92313.

Version-Release number of selected component (if applicable): xorg-x11-server-Xorg-1.18.0-2.fc23.x86_64.rpm


How reproducible: Always


Steps to Reproduce:
1. Install Fedora 23 with GUI (I used Xfce Environment)
2. Install NVIDIA proprietary driver from Nvidia.com
3. Modify xorg.conf and xinitrc script as recommended by NVidia.
4. Start XFCE
5. Launch Firefox.

Actual results: Firefox will start in a small window.  Resizing to a normal size, the configuration menu will not display.


Expected results: Firefox will start to the previously used size, and the menus will display correctly.


Additional info: See attached xrandr.patch for the fix, originally posted by Jan Burgmeier in two parts on FreeDesktop.org bug.

I have tested this fix against the xorg-x11-server-1.18.0-2.fc23.src.rpm package with Xorg server 1.18.0, and have tested against version 1.18.1.  Both successfully fixed the issue.
Comment 1 Jason H. 2016-03-10 16:45:47 EST
To be clear, version 1.18.1 does not fix the issue, but the patch can be applied to v1.18.1 as well as 1.18.0.  This patch has not been included upstream yet.
Comment 2 Jason H. 2016-03-11 14:52:52 EST
Upgraded to xorg-x11-server-Xorg-1.18.1-3.fc23.x86_64, same problem persists.  The supplied xrandr.patch can be applied in xorg-x11-server-1.18.1-3.fc23.src.rpm as well.
Comment 3 Jason H. 2016-03-13 15:35:04 EDT
Patch has been included upstream in version 1.18.2, which fixes the issue.  I tested by updating the SPEC file from xorg-x11-server-1.18.1-3.fc23.src.rpm, to manually build xorg-x11-server-1.18.2-1.fc23.
Comment 4 Fedora End Of Life 2016-11-24 11:01:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 14:23:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.